Email
Marketing
SMS
Hooks
Risk
Platform
Delete a document
DELETE
/v1/sign/documents/{id}
Deletes an uploaded document and its file. Documents a request uses can't be deleted.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe document's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The document was deleted.
application/json- response
- response
- …
object*"sign_document"Value in
"sign_document"id*stringdeleted*trueValue in
trueimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.sign.documents.remove("sdoc_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "sign_document", "id": "sdoc_01k7c8m4q2f3e9v6t5r1n0p8yz", "deleted": true}